AM263Px MCU+ SDK: EnetPhy_State Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
EnetPhy_State Struct Reference
APIs for Networking modules » APIs for Enet LLD » Ethernet PHY Driver

## Detailed Description

PHY driver FSM state.

## Data Fields
EnetPhy_FsmState | fsmState
bool | fsmStateChanged
EnetPhy_Speed | speed
EnetPhy_Duplexity | duplexity
uint32_t | timeout
uint32_t | residenceTime
bool | isNwayCapable
bool | enableNway
bool | needsManualCfg
bool | needsNwayCfg
uint32_t | linkCaps
uint32_t | phyLinkCaps
bool | loopbackEn
bool | needsMdixSwitch
bool | enableMdix

## Field Documentation

## ◆ fsmState

EnetPhy_FsmState EnetPhy_State::fsmState

PHY state-machine state

## ◆ fsmStateChanged

bool EnetPhy_State::fsmStateChanged

Whether the PHY state-machine state has changed

## ◆ speed

EnetPhy_Speed EnetPhy_State::speed

PHY speed (auto-negotiated or manually set)

## ◆ duplexity

EnetPhy_Duplexity EnetPhy_State::duplexity

PHY duplexity (auto-negotiated or manually set)

## ◆ timeout

uint32_t EnetPhy_State::timeout

Timeout (ticks)

## ◆ residenceTime

uint32_t EnetPhy_State::residenceTime

Residence time (ticks)

## ◆ isNwayCapable

bool EnetPhy_State::isNwayCapable

Whether PHY is auto-negotiation capable

## ◆ enableNway

bool EnetPhy_State::enableNway

Whether auto-negotiation is to be used or not

## ◆ needsManualCfg

bool EnetPhy_State::needsManualCfg

Whether manual mode needs to be configured

## ◆ needsNwayCfg

bool EnetPhy_State::needsNwayCfg

Whether auto-negotiation advertisement needs to be configured

## ◆ linkCaps

uint32_t EnetPhy_State::linkCaps

Refined link capability mask (app, SoC, PHY)

## ◆ phyLinkCaps

uint32_t EnetPhy_State::phyLinkCaps

PHY link capability mask

## ◆ loopbackEn

bool EnetPhy_State::loopbackEn

Whether PHY loopback is enabled or not

## ◆ needsMdixSwitch

bool EnetPhy_State::needsMdixSwitch

Whether MDIX switch is needed or not

## ◆ enableMdix

bool EnetPhy_State::enableMdix

Whether MDIX is enabled or not (MDI)